<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <meta charset="utf-8">
    <title>js05_UpperLowerCase2.html - conversão de string</title>
</head>

<body>

    <h1>Formulário de consulta de Curso:</h1>
    <br>
    <form name="formcurso" action="" method="post">
        <label for="f_cursodig">Digite seu curso: </label><input type="text" name="f_cursodig" size='8' maxlength='4'>(SIST)<br>
        <input type="button" name="btn_validar" value="Validar" onclick="cadcurso()">
        <input type="reset" name="btn_cancelar" value="Cancelar"><br>
        <label for="f_codcurso"></label> <input type="text" name="f_codcurso" size="15" maxlength="10">
    </form>

    <script type="text/javascript">
        /* Objetivo: Capturar o nome do curso e apresentar o código correspondente.*/

        var js_cursodig;

        function cadcurso() {
            js_cursodig = document.formcurso.f_cursodig.value;

            if (js_cursodig.toLowerCase() == 'sist') {
                document.formcurso.f_codcurso.value = 'sist001/FB';
            } else {
                window.alert('Curso Inv\u00e1lido!');
            }
        }
    </script>

</body>

</html>